CMSIS-Driver: SAI Slot

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SAI Slot
SAI Configuration

Defines data slots. More...

## Macros

#define | ARM_SAI_SLOT_COUNT(n) ((((n)-1UL)&0x1FUL) << ARM_SAI_SLOT_COUNT_Pos)
| Number of slots in frame (1..32); default=1; User Protocol only (ignored otherwise) More...
#define | ARM_SAI_SLOT_SIZE_DEFAULT (0UL << ARM_SAI_SLOT_SIZE_Pos)
| Slot size is equal to data size (default) More...
#define | ARM_SAI_SLOT_SIZE_16 (1UL << ARM_SAI_SLOT_SIZE_Pos)
| Slot size = 16 bits; User Protocol only (ignored otherwise) More...
#define | ARM_SAI_SLOT_SIZE_32 (3UL << ARM_SAI_SLOT_SIZE_Pos)
| Slot size = 32 bits; User Protocol only (ignored otherwise) More...
#define | ARM_SAI_SLOT_OFFSET(n) (((n)&0x1FUL) << ARM_SAI_SLOT_OFFSET_Pos)
| Offset of first data bit in slot (0..31); default=0; User Protocol only (ignored otherwise) More...

## Description

Defines data slots.

## Macro Definition Documentation

#define ARM_SAI_SLOT_COUNT | ( |  | n | ) | ((((n)-1UL)&0x1FUL) << ARM_SAI_SLOT_COUNT_Pos)

Number of slots in frame (1..32); default=1; User Protocol only (ignored otherwise)

#define ARM_SAI_SLOT_SIZE_DEFAULT (0UL << ARM_SAI_SLOT_SIZE_Pos)

Slot size is equal to data size (default)

#define ARM_SAI_SLOT_SIZE_16 (1UL << ARM_SAI_SLOT_SIZE_Pos)

Slot size = 16 bits; User Protocol only (ignored otherwise)

#define ARM_SAI_SLOT_SIZE_32 (3UL << ARM_SAI_SLOT_SIZE_Pos)

Slot size = 32 bits; User Protocol only (ignored otherwise)

#define ARM_SAI_SLOT_OFFSET | ( |  | n | ) | (((n)&0x1FUL) << ARM_SAI_SLOT_OFFSET_Pos)

Offset of first data bit in slot (0..31); default=0; User Protocol only (ignored otherwise)